Bug 94081 - More control over print size
Summary: More control over print size
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Umbrello Development Group
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-28 23:40 UTC by Jonathan Riddell
Modified: 2015-03-09 09:34 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.10.5 (KDE 4.10.5)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Riddell 2004-11-28 23:40:40 UTC
Version:           1.3.90 (using KDE 3.3.89 (CVS >= 20041104), compiled sources)
Compiler:          gcc version 3.3.4 (Debian 1:3.3.4-9ubuntu5)
OS:                Linux (i686) release 2.6.8.1-3-386

The user should be able to specify the number of pages that will be used when printing.
Comment 1 Jonathan Riddell 2004-11-28 23:41:03 UTC
This comes from comments on beastie 54391.
Comment 2 esigra 2006-12-04 10:47:04 UTC
To make it clear what this bug is about, I include the comment from bug #54391:

Dia has solved the scaling problem and it works great. This is a necessary functionality, which means I will use Dia because of this regardless how many other features Umbrello has. Please look how Dia does it. I will explain it short: 
 1. The diagram can be expanded in any direction. In Umbrello it seems like it can only be expanded right and down. 
 2. The user selects the paper orientation and the number of pages horizontally and vertically. (Right click on the diagram, select File, Page setup..., Scaling, Fit to <x> by <y>.) 
 3. Dia scales the diagram to fit on the specified paper layout. The page boundaries are shown as coloured lines.
Comment 3 Oliver Kellogg 2006-12-19 22:29:56 UTC
> 1. The diagram can be expanded in any direction. In Umbrello it seems like it > can only be expanded right and down.

Not impossible, just a little awkward: Press Control-A (select all
objects in diagram) an move everything. See #120794.
Comment 4 Ralf Habacker 2015-03-09 09:34:33 UTC
(In reply to Oliver Kellogg from comment #3)
> 1. The diagram can be expanded in any direction. In Umbrello it seems like it > can only be expanded right and down.

This has been fixed with the Qt4 port done in the 2.10 branch (latest version is 2.10.5) 

> 2. The user selects the paper orientation and the number of pages horizontally
>     and vertically. (Right click on the diagram, select File, Page setup..., Scaling, Fit to <x> by <y>.) 

Multi page printing could be performed by using pdf output and pdfposter, which is available in recent distributions. 
1. http://manpages.ubuntu.com/manpages/karmic/man1/pdfposter.1.html 
2. http://software.opensuse.org/package/pdfposter?search_term=pdfposter

> 3. Dia scales the diagram to fit on the specified paper layout. The page boundaries are shown as coloured lines.
This has been fixed with version 4.7.4.